uses TestLib,SysUtils;
var
	oufAns,ansAns : string;
	k, n : LongInt;
begin	
	k := inf.ReadLongInt;
	n := inf.ReadLongInt;
	oufAns := ouf.ReadString;
	ansAns := ans.ReadString;
	if (oufAns <> ansAns) then
	begin
		if (oufAns <>'YES') and (oufAns <> 'NO') 
			then Quit(_pe, 'neither YES nor NO')
		else 
			Quit(_wa, ansAns + ' expected, but ' + oufAns + ' found');
	end; 	

	Quit(_ok,'k = ' + IntToStr(k) + ' n = ' + IntToStr(n));
end.	